<?xml version="1.0" encoding="UTF-8" ?>
<!DOCTYPE mapper
PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN"
"http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="org.dromara.mapper.SenAlgorithmConfigMapper">
    <select id="selectVoPageWrapper" resultType="org.dromara.domain.vo.SenAlgorithmConfigVo">
        SELECT sac.*, (SELECT sn.node_id FROM sen_algorithm_nodes sn WHERE sn.algorithm_id = sac.id) AS nodeId
        FROM sen_algorithm_config sac ${ew.customSqlSegment}
    </select>
    <select id="selectVoById" resultType="org.dromara.domain.vo.SenAlgorithmConfigVo">
        SELECT sac.*, (SELECT sn.node_id FROM sen_algorithm_nodes sn WHERE sn.algorithm_id = sac.id) AS nodeId
        FROM sen_algorithm_config sac where  id = ${id}
    </select>
</mapper>
